FIHEADER(1)

NAME
fiheader - reading and manipulating FITS header keywords

SYNOPSIS
fiheader [opions] [input] [-o|--output <output>]

DESCRIPTION
This program allows the user to read, set, alter or remove a set of values associated with the specified keywords from the primary header unit (a.k.a. simply "header") of a FITS image file.

OPTIONS

  General options:

-h, --help
    Gives general summary about the command line options.

--long-help, --help-long
    Gives a detailed list of command line options.

--wiki-help, --help-wiki, --mediawiki-help, --help-mediawiki
    Gives a detailed list of command line options in Mediawiki format.

--version, --version-short, --short-version
    Gives some version information about the program.

-i, --input <image file>
    Name of the input FITS image file.

-o, --output <image file>
    Name of the output FITS image file (can be the same as the input image file).

  Read keyword values:

-g, --get, --read <keyword>,...
    List of keywords to get from FITS header.

-F, --format <format>
    Format of the output, space separated list of the arguments "filename", "keyword", "value", "comment" or "list", in the desired order. The "list" here is a list of tab-separated values of matched keywords.

-x, --extension <extension>
    Read keyword values from the given extension.

Note that shell wildcard character patterns can be used in the keyword specifications.

  Altering FITS headers:

-s, --set, --update <keyword>=<value>[/<comment>],...
    List of keywords with their new values (and optional comments) to be altered.

-a, --append <keyword>=<value>[/<comment>],...
    List of keywords with their new values (and optional comments) to be appended to the existing list of keywords.

-d, --delete <keyword>,...
    List of keywords to be removed from the header.

--force-alter-reserved-keywords
    Enable to alter reserved FITS keywords (use with caution).

-w, --rewrite
    Re-write the input file(s) directly. Use this option exclusively from -o|--output.

REPORTING BUGS
Report bugs to <apal@szofi.net>, see also https://fitsh.net/.

COPYRIGHT
Copyright © 1996, 2002, 2004-2008, 2010-2016, 2018-2020; Pal, Andras <apal@szofi.net>